<?php

namespace app\admin\model;

use think\Model;


class Cooperation extends Model
{

    

    

    // 表名
    protected $name = 'cooperation';
    
    // 自动写入时间戳字段
    protected $autoWriteTimestamp = 'integer';

    // 定义时间戳字段名
    protected $createTime = 'createtime';
    protected $updateTime = 'updatetime';
    protected $deleteTime = false;

    // 追加属性
    protected $append = [
        'cooperation_status_text',
    ];

    public function getCooperationStatusList()
    {
        return ['1' =>__('Cooperation_status 1'), '2' =>__('Cooperation_status 2')];
    }

    public function getCooperationStatusTextAttr($value, $data)
    {
        $value = $value ? $value : (isset($data['cooperation_status']) ? $data['cooperation_status'] : '');
        $list = $this->getCooperationStatusList();
        return isset($list[$value]) ? $list[$value] : '';
    }
    
    public function user()
    {
        return $this->belongsTo('User', 'user_id', 'id',[],'LEFT')->setEagerlyType(0);
    }

    public function servicetype()
    {
        return $this->belongsTo('Servicetype', 'servicetype_id', 'id',[],'LEFT')->setEagerlyType(0);
    }
}
